Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.search.annotations
Enum Resolution

    java.lang.Object
      java.lang.Enum<Resolution>
          org.hibernate.search.annotations.Resolution

All Implemented Interfaces:
  Serializable, Comparable<Resolution>

    public enum Resolution

extends Enum<Resolution>

Date indexing resolution

Author:
  Emmanuel Bernard

Enum Constant Summary
`DAY`
`HOUR`
`MILLISECOND`
`MINUTE`
`MONTH`
`SECOND`
`YEAR`

Method Summary
`static Resolution` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Resolution[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### YEAR

    public static final Resolution YEAR

### MONTH

    public static final Resolution MONTH

### DAY

    public static final Resolution DAY

### HOUR

    public static final Resolution HOUR

### MINUTE

    public static final Resolution MINUTE

### SECOND

    public static final Resolution SECOND

### MILLISECOND

    public static final Resolution MILLISECOND

Method Detail

### values

    public static final Resolution[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Resolution c : Resolution.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Resolution valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD